% Perform isoparametric interpolation in 1D
% 
% function v=isoparamipol1d(gcells,pc,fldv)
% 
% gcell= geometric cell
% pc= array of parametric coordinates
% fldv= field values at nodes of the cell
% 
function v=isoparamipol1ddersp(gcell,pc,xv,fldv)
v=zeros(1,length(pc));
for j=1:length(pc)
    Nder = bfundpar (gcell,pc(j));
    Ndersp = bfundsp (gcell, Nder, xv);
    v(j)=Ndersp'*fldv;
end 