% C  COMPUTE INTERNAL FORCES OF TWO-NODE BEAMS FROM NET DEFORMATIONS
% C  EN,EQ2,EQ3  NORMAL AND SHEARING FORCES IN DIR.X2(X3) RESP.,
% C  EM1,EM2,EM3 TORSIONAL AND BENDING MOMENTS ABOUT X2(X3) RESP.
function PN = natural_forces (self, EY, G, CSA, IN2, IN3, IT, L, LU)
    rhoN = natural_deformations (self, L, LU);
    %     Natural forces
    PN= [EY*CSA/L*rhoN(1),
        EY*IN3/L*rhoN(2),
        3*EY*IN3/L*rhoN(3),
        EY*IN2/L*rhoN(4),
        3*EY*IN2/L*rhoN(5),
        G*IT/L*rhoN(6)        ];
end
