% Are given parametric coordinates inside the element parametric domain?
% 
% function val = in_parametric(self,param_coords)
% 
%  This function assumes the parametric domain is such that 
%  the basis functions are between 0.0 and 1.0.  If this is not
%  suitable for a particular geometric cell needs to redefine this
%  function appropriately.
% 
% Returns a Boolean: is the point inside, true or false?
% 
function val = in_parametric(self,param_coords)
    N = bfun(self,param_coords);
    s =intersect(find(N>=0),find(N<=1));
    val = (length(s)==length(N));
end



