% Constructor for momentum and energy conserving integrator from Bottasso,
% Borri (1998), Integrating finite rotations. Trapezoidal Runge-Kutta
% (Munthe-Kaas) algorithm.
%   Call as:
%     ri = rotint_bb_rkmk_trap
%
function retobj = rotint_bb_rkmk_trap (varargin)
    class_name='rotint_bb_rkmk_trap';
    parent=rotint;
    if (nargin == 0)
        self.I = eye(3,3);
        self.R = [];
        self.Omega = [];
        retobj = class(self,class_name,parent);
        return;
    elseif (nargin == 1) % cloning
        arg = varargin{1};
        if strcmp(class(arg),class_name) % copy constructor.
            retobj = arg;
        else
            self.I = eye(3,3);
            self.R = [];
            self.Omega = [];
            retobj = class(self,class_name,parent);
        end
        return;
    else
        error('Illegal arguments!');
    end
    return;
end



