% Implicit mid-point Lie integrator constructor. Described as LIEMID[I] in
% the paper on the explicit midpoint Lie algorithm, and as IMIDM  in the
% paper on dynamically equivalent implicit algorithms.
%   Call as:
%     ri = rotint_dyneq_imidm
%
function retobj = rotint_dyneq_imidm (varargin)
    class_name='rotint_dyneq_imidm';
    parent=rotint;
    if (nargin == 0)
        self.I = eye(3,3);
        self.R = [];
        self.Omega = [];
        retobj = class(self,class_name,parent);
        return;
    elseif (nargin == 1) % cloning
        arg = varargin{1};
        if strcmp(class(arg),class_name) % copy constructor.
            retobj = arg;
        else
            self.I = eye(3,3);
            self.R = [];
            self.Omega = [];
            retobj = class(self,class_name,parent);
        end
        return;
    else
        error('Illegal arguments!');
    end
    return;
end

