% sysmat
%   These are classes that represent the global, system matrix
%   (stiffness, mass, capacity, damping, ...)
% 
% -base class
%   @sysmat/get - Get an attribute
%   @sysmat/sysmat - Constructor
% 
% -dense system matrix
%   @dense_sysmat/dense_sysmat - Constructor
%   @dense_sysmat/start - Initialize the system matrix
%   @dense_sysmat/finish - NOT used
%   @dense_sysmat/get - Get an attribute
%   @dense_sysmat/assemble - Assemble an array of element matrices
%   @dense_sysmat/assemble_diag - Assemble a vector to the diagonal
%   @dense_sysmat/mldivide - Solve the system of linear equations
%             (implements the Matlab \ operator)
%   @dense_sysmat/reinitialize - Wipe the matrix clean
%   @dense_sysmat/matvecprod - Compute the product of the system matrix and a vector.
%   @dense_sysmat/diag - Extract the diagonal.
% 
% -sparse system matrix
%   @sparse_sysmat/sparse_sysmat - Constructor
%   @sparse_sysmat/start - Initialize the system matrix
%   @sparse_sysmat/finish - NOT used
%   @sparse_sysmat/get - Get an attribute
%   @sparse_sysmat/assemble - Assemble an array of element matrices
%   @sparse_sysmat/assemble_diag - Assemble a vector to the diagonal
%   @sparse_sysmat/mldivide - Solve the system of linear equations
%             (implements the Matlab \ operator)
%   @sparse_sysmat/reinitialize - Wipe the matrix clean
%   @sparse_sysmat/matvecprod - Compute the product of the system matrix and a vector.
%   @sparse_sysmat/diag - Extract the diagonal.
% 
% -sparse system matrix for Cholesky factorization, optimized for storage
% efficiency and  efficient repeated solution of the system of linear
% equations
%   @sparse_chol_sysmat/sparse_chol_sysmat - Constructor
%   @sparse_chol_sysmat/start - Initialize the system matrix
%   @sparse_chol_sysmat/finish - NOT used
%   @sparse_chol_sysmat/get - Get an attribute
%   @sparse_chol_sysmat/assemble - Assemble an array of element matrices
%   @sparse_chol_sysmat/mldivide - Solve the system of linear equations
%             (implements the Matlab \ operator)
% 
% -sparse system matrix for LDLT factorization, optimized for storage
% efficiency and  efficient repeated solution of the system of linear
% equations
%   @sparse_ldlt_sysmat/sparse_ldlt_sysmat - Constructor
%   @sparse_ldlt_sysmat/start - Initialize the system matrix
%   @sparse_ldlt_sysmat/finish - NOT used
%   @sparse_ldlt_sysmat/get - Get an attribute
%   @sparse_ldlt_sysmat/assemble - Assemble an array of element matrices
%   @sparse_ldlt_sysmat/mldivide - Solve the system of linear equations
%             (implements the Matlab \ operator)

