function [tipus,elbowus]=Lframe_vibration_resmamp
    E = 71240;
    %     [x,y]=solve ('400889.8-x/3/( 1-2*y)','80.194-x/2/(1+y)')
    nu=.31;
    stabfact = 15*E;
    rho=5e-9;
    Fmag= 50;
    utol = 1e-8;
    scale=1;
    nw = 2;    nL = 8;    nt = 2;
    L=255;    w=30;    t= 3;
    Newmarkg = 1/2; Newmarkb = 1/4*(1/2+Newmarkg)^2;
    %     Newmarkg = 0.6; Newmarkb = 1/4*(1/2+Newmarkg)^2;
    %
    maxit = 30;
    tend = 0.3;
    dt =0.001;
    
    graphics = false;
    Report =@(x) (disp(x) );
    %     Report =@(x) ([]);
    
    function [fens,gcells] = H27mesh(nw,nL)
        [fens,gcells] = Lframe_Mesh(L,w,t,nw,nL,nt);
        [fens,gcells] = H8_to_H27(fens,gcells);
    end
    
    function [fens,gcells] = H20mesh(nw,nL)
        [fens,gcells] = Lframe_Mesh(L,w,t,nw,nL,nt);
        [fens,gcells] = H8_to_H20(fens,gcells);
    end
    
    eix=1;
    clear eltyd
    
        eltyd(eix).label ='H20';
        eltyd(eix).mf =@H20mesh;
        eltyd(eix).blf =@feblock_defor_nonlinear;
        eltyd(eix).integration_rule=gauss_rule (3,3);
        eltyd(eix).surface_integration_rule=gauss_rule(2, 2);
        eltyd(eix).styl='ks-';
        eix=eix+1; 
    
%         eltyd(eix).label ='H27';
%         eltyd(eix).mf =@H27mesh;
%         eltyd(eix).blf =@feblock_defor_nonlinear;
%         eltyd(eix).integration_rule=gauss_rule (3,3);
%         eltyd(eix).surface_integration_rule=gauss_rule(2, 3);
%         eltyd(eix).styl='ks-';
%         eix=eix+1; 
%     
    
    
    for eix = 1:length(eltyd)
        % Mesh
        %          Mesh
        [fens,gcells] = eltyd(eix).mf (nw, nL);
        %         [fens, gcells]=renum_mesh(fens, gcellsAnd, 'symrcm');
        feb = eltyd(eix).blf (struct ('mater',[], 'gcells',gcells));
        %     [fens, gcells]=renum_mesh_renumber(fens, gcells,...
        %         renum_mesh_numbering(fens,genconn(feb), 'symrcm'));
        [fens, gcells]=renum_mesh_renumber(renum_mesh_numbering(fens,genconn(feb), 'symamd'),fens, gcells);
        bgcells =mesh_bdry(gcells, []);
        icl = gcell_select(fens, bgcells, struct('box', [-Inf,Inf,0,0,-Inf,Inf],'inflate',1/100));
        %          gv=drawmesh( {fens,gcells},'facecolor','none'); gv=drawmesh( {fens,bgcells(icl)},'gv',gv,'facecolor','blue');
        %         view(3); pause(1)
        % Material
        prop = property_linel_iso (struct('E',E,'nu',nu,'rho',rho));
        mater = mater_defor_neohook(struct('property',prop));
        % Finite element block
        feb = eltyd(eix).blf (struct ('mater',mater, 'gcells',gcells,...
            'integration_rule',eltyd(eix).integration_rule));
        efeb = eltyd(eix).blf (struct ('mater',mater, 'gcells',subset(bgcells,icl),...
            'integration_rule',eltyd(eix).surface_integration_rule));
        sfeb = eltyd(eix).blf (struct ('mater',mater, 'gcells',bgcells,...
            'integration_rule',eltyd(eix).surface_integration_rule));
        % Geometry
        geom = field(struct ('name',['geom'], 'dim', 3, 'fens',fens));
        % Define the displacement field
        u   = 0*geom; % zero out
        % Apply EBC's
        %         Bottom surface
        ebc_fenids=fenode_select (fens,struct('box',[0,0,-inf,inf,-inf,inf],'inflate',1/1000));
        ebc_prescribed=ones(1,length (ebc_fenids));
        ebc_comp=[];
        ebc_val=ebc_fenids*0;
        u   = set_ebc(u, ebc_fenids, ebc_prescribed, ebc_comp, ebc_val);
        
        u   = apply_ebc (u);
        
        % Number equations
        u   = numbereqns (u);
        
        if graphics, gv=graphic_viewer; end
        
        if graphics,
            gv=reset(clear(gv,[]),[]);
            %                     camset(gv,cam);
            view(2);
            draw(feb,gv, struct ('x', geom,'u',u, 'facecolor','red'));
            drawmesh({fens,gcells},'nodes','gcells')
            %                 headlight(gv);
            pause(0.5);
            %                     cam =camget(gv);
        end
        
        % Now comes the nonlinear solution
        u = u*0; % zero out the displacement
        v = u*0; % zero out the Velocity
        a = u*0; % zero out the Acceleration
        utol = 1e-13*get(u, 'neqns');
        
        K = start (sparse_sysmat, get(u, 'neqns'));
        M = start (sparse_sysmat, get(u, 'neqns'));
        M=assemble(M,mass(feb, geom, u));% Constant mass matrix
        Mm=get(M, 'mat');
                
        elbown=fenode_select (fens,struct('box',[L-w/2,L-w/2,L-w/2,L-w/2,0,0],'inflate',L/1000));
        tipn=fenode_select (fens,struct('box',[L-w/2,L-w/2,0,0,0,0],'inflate',L/1000));
        
        elbowus=[];
        tipus=[];
        t=0; %
        while (t <= tend)
            t = t + dt;
            Report(['Time ' num2str(t) ]); % pause
            % Initialization
            du = 0*apply_ebc(u);% Apply boundary conditions
            u1 = u; % guess
            a1 = -(1/Newmarkb/dt)*v -(1/2-Newmarkb)/Newmarkb*a;
            v1 = v + dt*((1-Newmarkg)*a + Newmarkg*a1);
            upv =gather_sysvec(u +dt*v +(dt^2/2*(1-2*Newmarkb))*a);
            vpv =gather_sysvec(v +(dt*(1-Newmarkg))*a);
            nl = nodal_load(struct ('id',elbown,'dir',[3],'magn',[(t<0.2)*((t<0.1)*t+(t>0.1)*(0.2-t))*Fmag]));
            
            iter=1;
            while 1
                feb1=feb;
                F = start (sysvec, get(du, 'neqns'));
                F = assemble (F, loads(nl, du));
                [feb,evs] = restoring_force(feb,geom,u1,u);       % Internal forces
                F = assemble (F, evs);
                K =assemble (K,cat(2,stiffness(feb,geom,u1,u),stiffness_geo(feb,geom,u1,u)));
                Km=get(K, 'mat');
                rhs=get(F,'vec')...
                    +Mm*((-1/(Newmarkb*dt^2))*gather_sysvec(u1)+(1/(Newmarkb*dt^2))*upv);
                du = scatter_sysvec(du, (Km+(1/(Newmarkb*dt^2))*Mm)\rhs); % Displacement increment
                %                 max(abs(get(F,'vec')))
                u1 = u1 + du;   % increment displacement
                v1 = v1 + (Newmarkg/Newmarkb/dt)*du;
                a1 = a1 + (1/Newmarkb/dt^2)*du;
                Report(['   It. ' num2str(iter) ': ||du||=' num2str(norm(du))]);
                if (max(abs(gather(du,[],'values'))) < utol) break; end;% convergence check
                if (iter >maxit)% bailout for failed convergence
                    warning( [' Possible failed convergence']);
                end
                K = reinitialize (K);
                iter=iter+1;
            end
            [feb,ignore] = restoring_force(feb,geom,u1,u);        % final update
            Report(['    Converged for t=' num2str(t)]); % pause
            u = u1;       % update the displacement
            v = v1;       % update the velocities
            a = a1;       % update the accelerations
            
            if graphics
                gv=reset(gv,[]);
                draw(sfeb,gv, struct ('x', geom,'u',u, 'facecolor','red'));
                camset(gv, 1.0e+003 *[-1.0107   -1.3797    1.1431    0.1536    0.1376    0.0389         0         0 0.0010    0.0067]);
                drawnow;
            else
                tipu=gather(u,tipn, 'values', 'noreshape');
                tipus=[tipus;tipu];
                elbowu=gather(u,elbown, 'values', 'noreshape');
                elbowus=[elbowus;elbowu];
                                plot(t,tipu(1), 'rv');
                                hold on
                                plot(t,tipu(2), 'gv');
                                plot(t,tipu(3), 'bv');
                                plot(t,elbowu(1), 'ro');
                                hold on
                                plot(t,elbowu(2), 'go');
                                plot(t,elbowu(3), 'bo');
                                drawnow; 
            end
            
        end
        
    end
end
tipus,elbowus

tipus =

   -0.0000    0.0000    0.0000
   -0.0000    0.0000   -0.0001
   -0.0000    0.0000   -0.0006
   -0.0000    0.0000   -0.0026
    0.0000    0.0000   -0.0065
    0.0000    0.0000   -0.0122
    0.0000    0.0000   -0.0193
    0.0000    0.0000   -0.0275
    0.0000    0.0000   -0.0368
    0.0000    0.0000   -0.0475
    0.0001    0.0001   -0.0591
    0.0001    0.0001   -0.0704
    0.0002    0.0001   -0.0802
    0.0003    0.0002   -0.0876
    0.0004    0.0003   -0.0923
    0.0005    0.0003   -0.0937
    0.0006    0.0004   -0.0906
    0.0007    0.0005   -0.0817
    0.0009    0.0006   -0.0658
    0.0010    0.0006   -0.0425
    0.0010    0.0007   -0.0117
    0.0011    0.0007    0.0272
    0.0011    0.0007    0.0747
    0.0010    0.0006    0.1314
    0.0009    0.0006    0.1972
    0.0008    0.0005    0.2713
    0.0005    0.0004    0.3530
    0.0002    0.0003    0.4421
   -0.0002    0.0002    0.5382
   -0.0006    0.0001    0.6408
   -0.0011    0.0000    0.7484
   -0.0016   -0.0000    0.8596
   -0.0023   -0.0001    0.9731
   -0.0029   -0.0001    1.0885
   -0.0036   -0.0001    1.2053
   -0.0044   -0.0001    1.3223
   -0.0052   -0.0000    1.4383
   -0.0060    0.0000    1.5521
   -0.0069    0.0001    1.6633
   -0.0078    0.0001    1.7719
   -0.0088    0.0002    1.8779
   -0.0097    0.0002    1.9809
   -0.0107    0.0003    2.0804
   -0.0117    0.0003    2.1763
   -0.0128    0.0003    2.2695
   -0.0138    0.0003    2.3606
   -0.0149    0.0004    2.4499
   -0.0160    0.0004    2.5374
   -0.0171    0.0004    2.6233
   -0.0182    0.0004    2.7083
   -0.0194    0.0004    2.7933
   -0.0206    0.0004    2.8789
   -0.0218    0.0005    2.9647
   -0.0231    0.0005    3.0505
   -0.0244    0.0006    3.1361
   -0.0257    0.0006    3.2219
   -0.0271    0.0008    3.3081
   -0.0285    0.0009    3.3940
   -0.0298    0.0010    3.4787
   -0.0312    0.0012    3.5611
   -0.0326    0.0014    3.6406
   -0.0339    0.0015    3.7169
   -0.0351    0.0017    3.7896
   -0.0363    0.0019    3.8573
   -0.0374    0.0021    3.9187
   -0.0384    0.0022    3.9733
   -0.0393    0.0023    4.0206
   -0.0400    0.0024    4.0606
   -0.0407    0.0024    4.0928
   -0.0412    0.0024    4.1165
   -0.0416    0.0023    4.1313
   -0.0418    0.0022    4.1377
   -0.0419    0.0020    4.1367
   -0.0419    0.0018    4.1288
   -0.0418    0.0016    4.1144
   -0.0415    0.0014    4.0937
   -0.0411    0.0011    4.0675
   -0.0407    0.0008    4.0376
   -0.0401    0.0006    4.0055
   -0.0396    0.0004    3.9721
   -0.0389    0.0002    3.9380
   -0.0383   -0.0000    3.9039
   -0.0377   -0.0002    3.8711
   -0.0371   -0.0003    3.8410
   -0.0366   -0.0004    3.8147
   -0.0362   -0.0005    3.7923
   -0.0358   -0.0005    3.7738
   -0.0355   -0.0006    3.7597
   -0.0353   -0.0006    3.7504
   -0.0353   -0.0006    3.7464
   -0.0353   -0.0007    3.7473
   -0.0354   -0.0007    3.7524
   -0.0356   -0.0007    3.7610
   -0.0358   -0.0007    3.7730
   -0.0362   -0.0007    3.7884
   -0.0365   -0.0007    3.8068
   -0.0370   -0.0007    3.8274
   -0.0374   -0.0006    3.8490
   -0.0378   -0.0007    3.8712
   -0.0383   -0.0007    3.8944
   -0.0388   -0.0007    3.9186
   -0.0393   -0.0007    3.9440
   -0.0398   -0.0007    3.9707
   -0.0403   -0.0007    4.0004
   -0.0409   -0.0007    4.0350
   -0.0417   -0.0006    4.0750
   -0.0425   -0.0006    4.1202
   -0.0436   -0.0005    4.1704
   -0.0448   -0.0005    4.2260
   -0.0462   -0.0004    4.2881
   -0.0477   -0.0002    4.3569
   -0.0493   -0.0000    4.4311
   -0.0510    0.0003    4.5085
   -0.0526    0.0006    4.5877
   -0.0543    0.0010    4.6681
   -0.0559    0.0015    4.7492
   -0.0575    0.0021    4.8293
   -0.0590    0.0027    4.9055
   -0.0603    0.0033    4.9749
   -0.0614    0.0039    5.0358
   -0.0622    0.0045    5.0873
   -0.0628    0.0051    5.1284
   -0.0631    0.0057    5.1571
   -0.0631    0.0061    5.1714
   -0.0627    0.0064    5.1697
   -0.0621    0.0066    5.1523
   -0.0612    0.0066    5.1195
   -0.0601    0.0064    5.0715
   -0.0587    0.0061    5.0076
   -0.0571    0.0057    4.9279
   -0.0552    0.0052    4.8336
   -0.0531    0.0046    4.7272
   -0.0508    0.0040    4.6107
   -0.0483    0.0035    4.4851
   -0.0457    0.0029    4.3507
   -0.0430    0.0024    4.2092
   -0.0403    0.0019    4.0632
   -0.0376    0.0015    3.9153
   -0.0350    0.0011    3.7674
   -0.0324    0.0008    3.6197
   -0.0299    0.0006    3.4724
   -0.0275    0.0004    3.3266
   -0.0252    0.0003    3.1838
   -0.0230    0.0002    3.0452
   -0.0210    0.0002    2.9103
   -0.0191    0.0001    2.7780
   -0.0174    0.0001    2.6476
   -0.0158    0.0001    2.5193
   -0.0143    0.0001    2.3930
   -0.0128    0.0000    2.2680
   -0.0115    0.0000    2.1425
   -0.0102    0.0000    2.0149
   -0.0089    0.0000    1.8848
   -0.0076    0.0000    1.7527
   -0.0065    0.0000    1.6188
   -0.0054   -0.0000    1.4820
   -0.0044   -0.0000    1.3412
   -0.0035   -0.0001    1.1963
   -0.0027   -0.0001    1.0488
   -0.0019   -0.0001    0.9006
   -0.0012   -0.0000    0.7528
   -0.0005    0.0001    0.6058
    0.0002    0.0003    0.4600
    0.0008    0.0005    0.3173
    0.0013    0.0008    0.1806
    0.0018    0.0011    0.0520
    0.0022    0.0014   -0.0670
    0.0025    0.0017   -0.1758
    0.0027    0.0020   -0.2731
    0.0029    0.0023   -0.3568
    0.0030    0.0025   -0.4251
    0.0030    0.0026   -0.4773
    0.0030    0.0026   -0.5139
    0.0029    0.0026   -0.5354
    0.0027    0.0025   -0.5416
    0.0024    0.0023   -0.5320
    0.0020    0.0020   -0.5068
    0.0017    0.0016   -0.4682
    0.0013    0.0013   -0.4186
    0.0009    0.0010   -0.3601
    0.0007    0.0007   -0.2934
    0.0005    0.0004   -0.2195
    0.0003    0.0003   -0.1401
    0.0002    0.0001   -0.0583
    0.0001    0.0001    0.0233
   -0.0000    0.0000    0.1032
   -0.0001   -0.0000    0.1808
   -0.0002    0.0000    0.2555
   -0.0003    0.0000    0.3259
   -0.0003    0.0001    0.3903
   -0.0004    0.0001    0.4480
   -0.0004    0.0002    0.4996
   -0.0005    0.0003    0.5460
   -0.0006    0.0003    0.5875
   -0.0007    0.0003    0.6236
   -0.0008    0.0003    0.6545
   -0.0009    0.0003    0.6813
   -0.0011    0.0002    0.7063
   -0.0012    0.0002    0.7307
   -0.0013    0.0002    0.7545
   -0.0013    0.0002    0.7773
   -0.0014    0.0003    0.7995
   -0.0014    0.0003    0.8218
   -0.0014    0.0004    0.8445
   -0.0015    0.0004    0.8671
   -0.0015    0.0005    0.8882
   -0.0016    0.0005    0.9068
   -0.0016    0.0006    0.9225
   -0.0016    0.0006    0.9351
   -0.0015    0.0007    0.9438
   -0.0014    0.0008    0.9469
   -0.0013    0.0009    0.9434
   -0.0011    0.0010    0.9326
   -0.0010    0.0010    0.9145
   -0.0009    0.0010    0.8890
   -0.0008    0.0010    0.8550
   -0.0007    0.0009    0.8116
   -0.0006    0.0008    0.7587
   -0.0005    0.0007    0.6974
   -0.0004    0.0005    0.6290
   -0.0003    0.0004    0.5541
   -0.0002    0.0003    0.4728
   -0.0001    0.0002    0.3852
   -0.0000    0.0001    0.2929
   -0.0000    0.0000    0.1979
   -0.0000   -0.0000    0.1022
   -0.0000   -0.0000    0.0068
   -0.0000   -0.0000   -0.0876
   -0.0000    0.0000   -0.1801
   -0.0000    0.0001   -0.2689
   -0.0000    0.0003   -0.3525
   -0.0000    0.0004   -0.4299
   -0.0000    0.0005   -0.5010
   -0.0001    0.0006   -0.5655
   -0.0003    0.0006   -0.6230
   -0.0004    0.0006   -0.6726
   -0.0006    0.0006   -0.7142
   -0.0008    0.0006   -0.7486
   -0.0009    0.0006   -0.7771
   -0.0010    0.0006   -0.8002
   -0.0011    0.0006   -0.8180
   -0.0012    0.0006   -0.8304
   -0.0012    0.0005   -0.8382
   -0.0013    0.0005   -0.8431
   -0.0014    0.0004   -0.8466
   -0.0015    0.0004   -0.8491
   -0.0016    0.0003   -0.8503
   -0.0016    0.0003   -0.8501
   -0.0016    0.0003   -0.8490
   -0.0015    0.0003   -0.8479
   -0.0015    0.0004   -0.8470
   -0.0014    0.0004   -0.8456
   -0.0014    0.0004   -0.8427
   -0.0013    0.0005   -0.8378
   -0.0013    0.0005   -0.8308
   -0.0012    0.0005   -0.8213
   -0.0011    0.0005   -0.8084
   -0.0010    0.0006   -0.7904
   -0.0009    0.0006   -0.7665
   -0.0007    0.0006   -0.7365
   -0.0005    0.0007   -0.7007
   -0.0003    0.0006   -0.6586
   -0.0002    0.0006   -0.6092
   -0.0001    0.0005   -0.5516
   -0.0001    0.0004   -0.4859
   -0.0001    0.0003   -0.4135
   -0.0001    0.0002   -0.3355
   -0.0000    0.0001   -0.2525
   -0.0000    0.0001   -0.1645
    0.0000    0.0000   -0.0720
    0.0000    0.0000    0.0233
    0.0000    0.0000    0.1195
   -0.0000    0.0001    0.2149
   -0.0001    0.0001    0.3086
   -0.0002    0.0002    0.3998
   -0.0003    0.0003    0.4872
   -0.0004    0.0004    0.5690
   -0.0004    0.0006    0.6438
   -0.0005    0.0007    0.7110
   -0.0006    0.0008    0.7707
   -0.0006    0.0010    0.8226
   -0.0007    0.0010    0.8657
   -0.0009    0.0010    0.8994
   -0.0011    0.0010    0.9238
   -0.0012    0.0010    0.9399
   -0.0014    0.0009    0.9492
   -0.0015    0.0008    0.9522
   -0.0016    0.0007    0.9488
   -0.0016    0.0007    0.9392
   -0.0015    0.0006    0.9246
   -0.0015    0.0005    0.9066
   -0.0015    0.0005    0.8867
   -0.0015    0.0004    0.8654
   -0.0015    0.0003    0.8425
   -0.0014    0.0003    0.8184
   -0.0014    0.0002    0.7940
   -0.0013    0.0002    0.7699
   -0.0012    0.0002    0.7462
   -0.0011    0.0002    0.7223
   -0.0010    0.0003    0.6974


elbowus =

   -0.0000   -0.0000    0.0004
   -0.0000   -0.0000    0.0020
   -0.0000   -0.0000    0.0055
   -0.0000   -0.0000    0.0112
   -0.0000   -0.0000    0.0196
   -0.0000   -0.0000    0.0313
   -0.0000   -0.0000    0.0473
   -0.0000   -0.0000    0.0680
   -0.0000   -0.0000    0.0934
   -0.0000   -0.0000    0.1230
   -0.0001   -0.0000    0.1568
   -0.0001   -0.0000    0.1947
   -0.0001   -0.0001    0.2370
   -0.0002   -0.0001    0.2830
   -0.0003   -0.0001    0.3318
   -0.0004   -0.0001    0.3826
   -0.0005   -0.0002    0.4349
   -0.0006   -0.0002    0.4886
   -0.0007   -0.0002    0.5433
   -0.0009   -0.0003    0.5981
   -0.0011   -0.0003    0.6522
   -0.0013   -0.0003    0.7051
   -0.0014   -0.0003    0.7569
   -0.0016   -0.0004    0.8079
   -0.0019   -0.0004    0.8580
   -0.0021   -0.0004    0.9068
   -0.0023   -0.0004    0.9543
   -0.0025   -0.0004    1.0009
   -0.0028   -0.0004    1.0475
   -0.0030   -0.0003    1.0948
   -0.0033   -0.0003    1.1430
   -0.0036   -0.0003    1.1922
   -0.0039   -0.0002    1.2430
   -0.0042   -0.0002    1.2962
   -0.0046   -0.0001    1.3528
   -0.0050   -0.0001    1.4130
   -0.0055   -0.0000    1.4767
   -0.0060    0.0000    1.5439
   -0.0066    0.0001    1.6148
   -0.0072    0.0001    1.6899
   -0.0079    0.0002    1.7690
   -0.0087    0.0002    1.8516
   -0.0095    0.0002    1.9369
   -0.0103    0.0003    2.0241
   -0.0113    0.0003    2.1130
   -0.0122    0.0003    2.2032
   -0.0133    0.0003    2.2940
   -0.0143    0.0003    2.3839
   -0.0154    0.0003    2.4719
   -0.0165    0.0003    2.5575
   -0.0175    0.0003    2.6404
   -0.0186    0.0004    2.7200
   -0.0197    0.0004    2.7956
   -0.0207    0.0004    2.8662
   -0.0216    0.0005    2.9317
   -0.0225    0.0005    2.9921
   -0.0234    0.0006    3.0478
   -0.0242    0.0007    3.0989
   -0.0249    0.0008    3.1452
   -0.0256    0.0009    3.1868
   -0.0262    0.0010    3.2244
   -0.0267    0.0011    3.2591
   -0.0273    0.0012    3.2916
   -0.0278    0.0013    3.3222
   -0.0283    0.0014    3.3512
   -0.0288    0.0015    3.3791
   -0.0293    0.0015    3.4070
   -0.0298    0.0016    3.4358
   -0.0303    0.0016    3.4657
   -0.0308    0.0016    3.4967
   -0.0314    0.0015    3.5287
   -0.0320    0.0015    3.5620
   -0.0326    0.0014    3.5970
   -0.0333    0.0013    3.6337
   -0.0340    0.0012    3.6715
   -0.0347    0.0010    3.7097
   -0.0354    0.0009    3.7477
   -0.0361    0.0007    3.7855
   -0.0368    0.0005    3.8230
   -0.0375    0.0003    3.8594
   -0.0382    0.0002    3.8938
   -0.0388   -0.0000    3.9255
   -0.0394   -0.0002    3.9544
   -0.0399   -0.0003    3.9805
   -0.0404   -0.0005    4.0039
   -0.0408   -0.0006    4.0241
   -0.0411   -0.0007    4.0408
   -0.0414   -0.0008    4.0541
   -0.0416   -0.0008    4.0647
   -0.0418   -0.0009    4.0735
   -0.0420   -0.0009    4.0809
   -0.0421   -0.0009    4.0870
   -0.0422   -0.0009    4.0925
   -0.0423   -0.0009    4.0982
   -0.0425   -0.0009    4.1054
   -0.0427   -0.0009    4.1150
   -0.0430   -0.0008    4.1274
   -0.0433   -0.0008    4.1430
   -0.0437   -0.0008    4.1624
   -0.0442   -0.0008    4.1863
   -0.0448   -0.0009    4.2149
   -0.0455   -0.0009    4.2466
   -0.0462   -0.0009    4.2797
   -0.0469   -0.0009    4.3132
   -0.0476   -0.0009    4.3465
   -0.0483   -0.0008    4.3781
   -0.0489   -0.0007    4.4061
   -0.0494   -0.0007    4.4286
   -0.0497   -0.0006    4.4447
   -0.0499   -0.0004    4.4546
   -0.0500   -0.0002    4.4582
   -0.0500   -0.0000    4.4549
   -0.0497    0.0003    4.4439
   -0.0493    0.0006    4.4250
   -0.0487    0.0009    4.3995
   -0.0481    0.0012    4.3687
   -0.0473    0.0016    4.3335
   -0.0465    0.0019    4.2941
   -0.0455    0.0022    4.2509
   -0.0445    0.0025    4.2051
   -0.0436    0.0027    4.1587
   -0.0426    0.0030    4.1130
   -0.0417    0.0032    4.0685
   -0.0409    0.0033    4.0251
   -0.0400    0.0034    3.9830
   -0.0392    0.0035    3.9432
   -0.0385    0.0035    3.9064
   -0.0378    0.0034    3.8727
   -0.0372    0.0033    3.8410
   -0.0366    0.0031    3.8099
   -0.0360    0.0028    3.7790
   -0.0354    0.0026    3.7481
   -0.0348    0.0024    3.7167
   -0.0342    0.0021    3.6833
   -0.0335    0.0019    3.6458
   -0.0327    0.0016    3.6030
   -0.0318    0.0014    3.5544
   -0.0308    0.0011    3.4998
   -0.0297    0.0009    3.4384
   -0.0286    0.0007    3.3690
   -0.0272    0.0005    3.2905
   -0.0258    0.0003    3.2031
   -0.0243    0.0003    3.1077
   -0.0227    0.0002    3.0053
   -0.0211    0.0002    2.8961
   -0.0195    0.0001    2.7801
   -0.0178    0.0001    2.6581
   -0.0161    0.0001    2.5321
   -0.0146    0.0001    2.4044
   -0.0131    0.0000    2.2763
   -0.0116    0.0000    2.1487
   -0.0103    0.0000    2.0224
   -0.0091    0.0000    1.8991
   -0.0080    0.0000    1.7809
   -0.0070    0.0000    1.6695
   -0.0062   -0.0000    1.5653
   -0.0055   -0.0001    1.4683
   -0.0048   -0.0001    1.3788
   -0.0043   -0.0002    1.2975
   -0.0038   -0.0003    1.2253
   -0.0034   -0.0004    1.1618
   -0.0031   -0.0004    1.1058
   -0.0028   -0.0005    1.0559
   -0.0026   -0.0005    1.0114
   -0.0024   -0.0005    0.9723
   -0.0022   -0.0006    0.9378
   -0.0021   -0.0006    0.9063
   -0.0019   -0.0006    0.8759
   -0.0018   -0.0007    0.8453
   -0.0017   -0.0007    0.8141
   -0.0015   -0.0006    0.7823
   -0.0014   -0.0006    0.7494
   -0.0013   -0.0005    0.7141
   -0.0012   -0.0005    0.6755
   -0.0010   -0.0004    0.6340
   -0.0009   -0.0004    0.5906
   -0.0008   -0.0004    0.5462
   -0.0006   -0.0003    0.5011
   -0.0005   -0.0003    0.4552
   -0.0004   -0.0003    0.4093
   -0.0003   -0.0002    0.3651
   -0.0003   -0.0002    0.3242
   -0.0002   -0.0001    0.2878
   -0.0002   -0.0001    0.2561
   -0.0001   -0.0000    0.2293
   -0.0001   -0.0000    0.2083
   -0.0001   -0.0000    0.1947
   -0.0001   -0.0000    0.1890
   -0.0001   -0.0000    0.1910
   -0.0001    0.0000    0.1995
   -0.0001    0.0000    0.2139
   -0.0001    0.0000    0.2343
   -0.0002    0.0001    0.2604
   -0.0002    0.0001    0.2911
   -0.0003    0.0001    0.3244
   -0.0003    0.0001    0.3582
   -0.0004    0.0001    0.3913
   -0.0004    0.0001    0.4231
   -0.0005    0.0001    0.4524
   -0.0006    0.0001    0.4774
   -0.0006    0.0001    0.4964
   -0.0006    0.0001    0.5087
   -0.0007    0.0001    0.5150
   -0.0007    0.0001    0.5156
   -0.0007    0.0002    0.5102
   -0.0006    0.0001    0.4988
   -0.0006    0.0001    0.4816
   -0.0005    0.0001    0.4598
   -0.0005    0.0001    0.4348
   -0.0004    0.0001    0.4074
   -0.0004    0.0001    0.3777
   -0.0003    0.0002    0.3464
   -0.0002    0.0002    0.3142
   -0.0002    0.0002    0.2828
   -0.0002    0.0002    0.2530
   -0.0001    0.0001    0.2252
   -0.0001    0.0001    0.1992
   -0.0001    0.0001    0.1752
   -0.0001    0.0000    0.1536
   -0.0000    0.0000    0.1352
   -0.0000    0.0000    0.1196
   -0.0000    0.0000    0.1061
   -0.0000    0.0000    0.0938
   -0.0000    0.0000    0.0823
   -0.0000    0.0000    0.0717
   -0.0000   -0.0000    0.0615
   -0.0000   -0.0000    0.0509
   -0.0000   -0.0000    0.0385
   -0.0000   -0.0000    0.0236
   -0.0000   -0.0000    0.0063
   -0.0000    0.0000   -0.0135
   -0.0000    0.0000   -0.0358
   -0.0000    0.0001   -0.0616
   -0.0000    0.0001   -0.0911
   -0.0000    0.0001   -0.1240
   -0.0001    0.0001   -0.1594
   -0.0001    0.0001   -0.1965
   -0.0001    0.0001   -0.2349
   -0.0002    0.0001   -0.2745
   -0.0002    0.0001   -0.3146
   -0.0003    0.0001   -0.3538
   -0.0004    0.0001   -0.3909
   -0.0005    0.0002   -0.4247
   -0.0005    0.0001   -0.4550
   -0.0006    0.0001   -0.4815
   -0.0006    0.0001   -0.5032
   -0.0007    0.0001   -0.5189
   -0.0007    0.0001   -0.5279
   -0.0007    0.0001   -0.5304
   -0.0007    0.0001   -0.5268
   -0.0007    0.0001   -0.5173
   -0.0006    0.0001   -0.5018
   -0.0006    0.0002   -0.4801
   -0.0005    0.0001   -0.4528
   -0.0004    0.0001   -0.4212
   -0.0004    0.0001   -0.3866
   -0.0003    0.0001   -0.3497
   -0.0002    0.0001   -0.3107
   -0.0002    0.0001   -0.2702
   -0.0001    0.0001   -0.2296
   -0.0001    0.0001   -0.1902
   -0.0001    0.0001   -0.1530
   -0.0000    0.0001   -0.1180
   -0.0000    0.0001   -0.0853
   -0.0000    0.0000   -0.0552
   -0.0000    0.0000   -0.0286
   -0.0000   -0.0000   -0.0057
   -0.0000   -0.0000    0.0136
   -0.0000   -0.0000    0.0304
   -0.0000   -0.0000    0.0452
   -0.0000    0.0000    0.0582
   -0.0000    0.0000    0.0694
   -0.0000    0.0000    0.0793
   -0.0000    0.0000    0.0891
   -0.0000    0.0000    0.0999
   -0.0000    0.0000    0.1124
   -0.0000    0.0000    0.1264
   -0.0001    0.0000    0.1420
   -0.0001    0.0001    0.1596
   -0.0001    0.0001    0.1801
   -0.0001    0.0001    0.2037
   -0.0001    0.0002    0.2299
   -0.0002    0.0002    0.2579
   -0.0002    0.0002    0.2871
   -0.0003    0.0001    0.3174
   -0.0003    0.0001    0.3485
   -0.0004    0.0001    0.3797
   -0.0004    0.0001    0.4096
   -0.0005    0.0001    0.4368
   -0.0005    0.0002    0.4608
   -0.0006    0.0002    0.4813
   -0.0006    0.0002    0.4979
   -0.0006    0.0001    0.5094
   -0.0007    0.0001    0.5149
   -0.0007    0.0001    0.5137
   -0.0006    0.0001    0.5062
   -0.0006    0.0001    0.4928
   -0.0006    0.0001    0.4738
   -0.0005    0.0001    0.4487
   -0.0004    0.0001    0.4176