function [tipus]=Slow_top
    E = 71240;
    %     [x,y]=solve ('400889.8-x/3/( 1-2*y)','80.194-x/2/(1+y)')
    nu=.31;
    stabfact = 15*E;
    rho=5e-9;
    Fmag= 500;
    utol = 1e-8;
    scale=1;
    nb = 2;    nL = 2;
    b=6.3418; h=6.3418; L=1.5*60.3418;% cross-sectional dimensions and length of each leg in millimeters
    g=9.81e3; % 9.81 meters per second squared
    q= [0,0,-g*rho]';
    Omega0=500;
    R = rotmat([0.05 0 0]);
    spin_vector = R*[0 0 Omega0]';
    Newmarkg = 1/2; Newmarkb = 1/4*(1/2+Newmarkg)^2;
    %     Newmarkg = 0.6; Newmarkb = 1/4*(1/2+Newmarkg)^2;
    %
    maxit = 30;
    tend = 0.5;
    dt=2*pi/norm(Omega0)/400;
    
    graphics = false;
    Report =@(x) (disp(x) );
    %     Report =@(x) ([]);
    
    function [fens,gcells] = H8mesh(nb,nL)
        [fens,gcells] = H8_hexahedron([-b/2,-h/2,0;b/2,h/2,L],nb,nb,nL);
        fens = transform_apply(fens,@(xyz,d)(R*xyz')', []);
    end
    
    function [fens,gcells] = H20mesh(nb,nL)
        [fens,gcells] = H8_hexahedron([-b/2,-h/2,0;b/2,h/2,L],nb,nb,nL);
        fens = transform_apply(fens,@(xyz,d)(R*xyz')', []);
        [fens,gcells] = H8_to_H20(fens,gcells);
    end
    
    eix=1;
    clear eltyd
    
    eltyd(eix).label ='H8';
    eltyd(eix).mf =@H8mesh;
    eltyd(eix).blf =@feblock_defor_nonlinear;
    eltyd(eix).integration_rule=gauss_rule (3,2);
    eltyd(eix).surface_integration_rule=gauss_rule(2, 2);
    eltyd(eix).styl='ks-';
    eix=eix+1;
    %     eltyd(eix).label ='H20';
    %     eltyd(eix).mf =@H20mesh;
    %     eltyd(eix).blf =@feblock_defor_nonlinear;
    %     eltyd(eix).integration_rule=gauss_rule (3,3);
    %     eltyd(eix).surface_integration_rule=gauss_rule(2, 2);
    %     eltyd(eix).styl='ks-';
    %     eix=eix+1;
    
    %         eltyd(eix).label ='H27';
    %         eltyd(eix).mf =@H27mesh;
    %         eltyd(eix).blf =@feblock_defor_nonlinear;
    %         eltyd(eix).integration_rule=gauss_rule (3,3);
    %         eltyd(eix).surface_integration_rule=gauss_rule(2, 3);
    %         eltyd(eix).styl='ks-';
    %         eix=eix+1;
    %
    
    
    for eix = 1:length(eltyd)
        % Mesh
        %          Mesh
        [fens,gcells] = eltyd(eix).mf (nb, nL);
        %         [fens, gcells]=renum_mesh(fens, gcellsAnd, 'symrcm');
        feb = eltyd(eix).blf (struct ('mater',[], 'gcells',gcells));
        %     [fens, gcells]=renum_mesh_renumber(fens, gcells,...
        %         renum_mesh_numbering(fens,genconn(feb), 'symrcm'));
        [fens, gcells]=renum_mesh_renumber(renum_mesh_numbering(fens,genconn(feb), 'symamd'),fens, gcells);
        bgcells =mesh_bdry(gcells, []);
        %         icl = gcell_select(fens, bgcells, struct('box',
        %         [-Inf,Inf,0,0,-Inf,Inf],'inflate',1/100));
        %          gv=drawmesh( {fens,gcells},'facecolor','none'); gv=drawmesh( {fens,bgcells(icl)},'gv',gv,'facecolor','blue');
        %         view(3); pause(1)
        % Material
        prop = property_linel_iso (struct('E',E,'nu',nu,'rho',rho));
        mater = mater_defor_neohook(struct('property',prop));
        % Finite element block
        feb = eltyd(eix).blf (struct ('mater',mater, 'gcells',gcells,...
            'integration_rule',eltyd(eix).integration_rule));
        %         efeb = eltyd(eix).blf (struct ('mater',mater, 'gcells',subset(bgcells,icl),...
        %             'integration_rule',eltyd(eix).surface_integration_rule));
        %
        sfeb = eltyd(eix).blf (struct ('mater',mater, 'gcells',bgcells,...
            'integration_rule',eltyd(eix).surface_integration_rule));
        % Geometry
        geom = field(struct ('name',['geom'], 'dim', 3, 'fens',fens));
        % Define the displacement field
        u   = 0*geom; % zero out
        % Apply EBC's
        %  then
        ebc_fenids=fenode_select (fens,struct('box',update_box([],(R*[0;0;0])'),'inflate',1/1000));
        ebc_prescribed=ones(1,length (ebc_fenids));
        ebc_comp=[];
        ebc_val=ebc_fenids*0;
        u   = set_ebc(u, ebc_fenids, ebc_prescribed, ebc_comp, ebc_val);
        
        u   = apply_ebc (u);
        
        % Number equations
        u   = numbereqns (u);
        
        if graphics, gv=graphic_viewer; end
        
        if graphics,
            gv=reset(clear(gv,[]),[]);
            %                     camset(gv,cam);
            view(2);
            draw(feb,gv, struct ('x', geom,'u',u, 'facecolor','red'));
            drawmesh({fens,gcells},'nodes','gcells')
            %                 headlight(gv);
            pause(0.5);
            %                     cam =camget(gv);
        end
        
        % Now comes the nonlinear solution
        u = u*0; % zero out the displacement
        v = u*0; % zero out the Velocity
        xyz = gather(geom,(1:count(fens)),'values','noreshape');
        vxyz = gather(v,(1:count(fens)),'values','noreshape');
        vxyz =[-xyz*skewmat(spin_vector)];
        v= scatter (v,(1:count(fens)),vxyz);
        a = u*0; % zero out the Acceleration
        utol = 1e-13*get(u, 'neqns');
        
        K = start (sparse_sysmat, get(u, 'neqns'));
        M = start (sparse_sysmat, get(u, 'neqns'));
        M=assemble(M,mass(feb, geom, u));% Constant mass matrix
        Mm=get(M, 'mat');
        
        tipn=fenode_select (fens,struct('box',update_box([],(R*[0;0;L])'),'inflate',L/1000));
        tipx=gather(geom,tipn,'values','noreshape');
        
        fi = force_intensity(struct('magn' ,q));
        
        tipus=[];
        t=0; %
        while (t <= tend)
            t = t + dt;
            Report(['Time ' num2str(t) ]); % pause
            % Initialization
            du = 0*apply_ebc(u);% Apply boundary conditions
            u1 = u; % guess
            a1 = -(1/Newmarkb/dt)*v -(1/2-Newmarkb)/Newmarkb*a;
            v1 = v + dt*((1-Newmarkg)*a + Newmarkg*a1);
            upv =gather_sysvec(u +dt*v +(dt^2/2*(1-2*Newmarkb))*a);
            vpv =gather_sysvec(v +(dt*(1-Newmarkg))*a);
            
            iter=1;
            while 1
                feb1=feb;
                F = start (sysvec, get(du, 'neqns'));
                F = assemble (F, distrib_loads(feb,geom,u1, fi,3));
                [feb,evs] = restoring_force(feb,geom,u1,u);       % Internal forces
                F = assemble (F, evs);
                K =assemble (K,cat(2,stiffness(feb,geom,u1,u),stiffness_geo(feb,geom,u1,u)));
                Km=get(K, 'mat');
                rhs=get(F,'vec')...
                    +Mm*((-1/(Newmarkb*dt^2))*gather_sysvec(u1)+(1/(Newmarkb*dt^2))*upv);
                du = scatter_sysvec(du, (Km+(1/(Newmarkb*dt^2))*Mm)\rhs); % Displacement increment
                %                 max(abs(get(F,'vec')))
                u1 = u1 + du;   % increment displacement
                v1 = v1 + (Newmarkg/Newmarkb/dt)*du;
                a1 = a1 + (1/Newmarkb/dt^2)*du;
                Report(['   It. ' num2str(iter) ': ||du||=' num2str(norm(du))]);
                if (max(abs(gather(du,[],'values'))) < utol) break; end;% convergence check
                if (iter >maxit)% bailout for failed convergence
                    warning( [' Possible failed convergence']);
                end
                K = reinitialize (K);
                iter=iter+1;
            end
            [feb,ignore] = restoring_force(feb,geom,u1,u);        % final update
            Report(['    Converged for t=' num2str(t)]); % pause
            u = u1;       % update the displacement
            v = v1;       % update the velocities
            a = a1;       % update the accelerations
            
            if graphics
                gv=reset(gv,[]);
                draw(sfeb,gv, struct ('x', geom,'u',u, 'facecolor','red'));
                camset(gv, 1.0e+003 *[-1.0107   -1.3797    1.1431    0.1536    0.1376    0.0389         0         0 0.0010    0.0067]);
                drawnow;
            else
                tipu=gather(u,tipn, 'values', 'noreshape');
                vupx=tipx+tipu;
                tipus=[tipus;tipu];
                plot(vupx(1)/L,vupx(2)/L, 'r.');
                hold on; axis equal
                %                 plot(t,tipu(1), 'rv');
                %                 hold on
                %                 plot(t,tipu(2), 'gv');
                %                 plot(t,tipu(3), 'bv'); 
                drawnow;
            end
            
        end
        
    end
end