% Convert a mesh of L2 elements (two-node) to L3 line elements.
%
% function [fens,gcells] = L2_to_L3(fens,gcells,options)
%
% options =attributes recognized by the constructor gcell_L3
function [fens,gcells] = L2_to_L3(fens,gcells,options)
    if ~isstruct(options)
        options = struct('id',1);
    end
    % now generate new node number for each Element
    n=count(fens);
    ng =count(gcells);
    id=get(fens,'id');
    x =get(fens,'xyz');
    id = [id;zeros(ng,1)];
    x = [x;zeros(ng,size(x,2))];
    conns =zeros(ng,3);
    conns(:,1:2) = get (gcells,'conn');
    conns(:,3)=n+(1:ng)';
    for i= 1:ng
        id(n+i)=n+i;
        x(n+i,:) =(x(conns(i,1),:)+x(conns(i,2),:))/2;
    end
    options.id =1:ng;
    options.conn =conns;
    options.other_dimension =get(gcells,'other_dimension');
    gcells=gcellset_L3(options);
    fens=fenodeset(struct('id',id,'xyz',x));
end
