% Refine a mesh of 4-node tetrahedra by octasection
%
% function [fens,gcells] = T4_refine(fens,gcells)
%
function [fens,gcells] = T4_refine(fens,gcells)
    [fens,gcells] = T4_to_T10(fens,gcells);
    conn=get(gcells, 'conn');
    nconn=zeros(8*size(conn,1),4);
    nc=1;
    for i= 1:size(conn,1)
        conn10=conn(i,:);
        nconn(nc,:) =conn10([1,5,7,8]);        nc= nc+ 1;
        nconn(nc,:) =conn10([2,6,5,9]);        nc= nc+ 1;
        nconn(nc,:) =conn10([3,7,6,10]);        nc= nc+ 1;
        nconn(nc,:) =conn10([8,9,10,4]);        nc= nc+ 1;
        nconn(nc,:) =conn10([6,7,5,9]);        nc= nc+ 1;
        nconn(nc,:) =conn10([7,6,10,9]);        nc= nc+ 1;
        nconn(nc,:) =conn10([9,7,5,8]);        nc= nc+ 1;
        nconn(nc,:) =conn10([7,9,10,8]);        nc= nc+ 1;
    end
    gcells=gcellset_T4(struct('conn',nconn));
end
