% Extract the boundary gcells from a mesh.
%
% function bdry_gcells = mesh_bdry(gcells, options)
%
% Extract the boundary gcells of manifold dimension (n-1) from the
% supplied list of gcells of manifold dimension (n).
%    options = struct with any attributes that should be passed to the
%    constructor of the boundary geometric cells
function bdry_gcells = mesh_bdry(gcells, options)
    make =get (gcells,'bdrygcell');

    % Form all hyperfaces, non-duplicates are boundary cells
    hypf= get(gcells,'bdryconn');
    sorted_hypf = sort(hypf,2);
    %index vectors m and n such that b =sorted_hypf(m) and sorted_hypf = b(n)
    [b,m,n] = unique(sorted_hypf,'rows');
    u = find(histc(n,1:max(n))==1);
    bdry = hypf(m(u),:);
    nbc= size(bdry, 1);
    options.id =(1:nbc)';
    options.conn =bdry;
    bdry_gcells=feval(make,options);
    return
end
